﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Windows.Forms;
using System.Xml.Serialization;
using System.Net;

namespace ThiesMediaProject.General
{
    public class UpdateInfo
    {
        public string VersionNo { get; set; }
        public string UpdateUrl { get; set; }

        public void Save()
        {
            try
            {
                var sT = new StreamWriter(@"C:\tmp_updatedata.xml", false);
                var xS = new XmlSerializer(this.GetType());
                var dM = this;
                xS.Serialize(sT, dM);
                sT.Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        public void Load()
        {
            try
            {
                WebClient wC = new WebClient();
                Stream wr = wC.OpenRead(@"http://www.thies.tk/tmp_updatedata.xml");
                var sT = new StreamReader(wr, false);
                var xS = new XmlSerializer(this.GetType());
                UpdateInfo updateInfo = (UpdateInfo)xS.Deserialize(sT);
                sT.Close();
                foreach (System.Reflection.PropertyInfo item in updateInfo.GetType().GetProperties())
                {
                    item.SetValue(this, item.GetValue(updateInfo, null), null);
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
    }
}
