﻿/// Copyright © 2010-2011 Sebastian Thies
/// This program is distributed under the terms of the GNU General Public License
/// http://www.gnu.org/licenses/#GPL
/// email: sebastian.thies@arcor.de
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ThiesMediaProject.Properties;
using ThiesGeneral.MsOffice;
using ThiesMediaProject.General;

namespace ThiesMediaProject.ToolForms
{
    public partial class ExcelExportForm : Form
    {
        public ExcelExportForm()
        {
            InitializeComponent();
            this.Font = new Font(this.Font.FontFamily, (float)Convert.ToDouble(Settings.Default.FormFontSize));
            this.Icon = Properties.Resources.tmp_icon;
        }

        private void ExcelExportForm_Load(object sender, EventArgs e)
        {
            


        }

        private void exportButton_Click(object sender, EventArgs e)
        {
            saveFileDialog1.Filter = ".xls|*.xls";
            if (saveFileDialog1.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                Data.ExportFilmsToExcel(saveFileDialog1.FileName, true);
            }

        }
    }
}
