﻿/// Copyright © 2010-2011 Sebastian Thies
/// This program is distributed under the terms of the GNU General Public License
/// http://www.gnu.org/licenses/#GPL
/// email: sebastian.thies@arcor.de
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ThiesMediaProject.Properties;

namespace ThiesMediaProject.ToolForms
{
    public partial class InputBoxForm : Form
    {
        string strValue;

        public InputBoxForm()
        {
            InitializeComponent();
            this.Font = new Font(this.Font.FontFamily, (float)Convert.ToDouble(Settings.Default.FormFontSize));
        }

        private void FormInputBox_Load(object sender, EventArgs e)
        {
            textBoxValue.Select();
        }

        public string ValueString
        {
            get{
                return strValue;
            }
            set
            {
                strValue = value;
                textBoxValue.Text = strValue;
            }
        }


        private void buttonOk_Click(object sender, EventArgs e)
        {
            strValue = textBoxValue.Text;
            this.Close();
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

    }
}
