﻿/// Copyright © 2010-2011 Sebastian Thies
/// This program is distributed under the terms of the GNU General Public License
/// http://www.gnu.org/licenses/#GPL
/// email: sebastian.thies@arcor.de
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;

namespace ThiesGeneral.FileFunctions
{
    public static class MyFile
    {
        static public void StartFile(string filePathPar, string daemonToolsPath)
        {
            string strFileType = filePathPar.Substring(filePathPar.LastIndexOf(Convert.ToChar(".")) + 1).ToLower();
            switch (strFileType)
            {
                case "iso":
                case "nrg":
                case "img": 
                    System.Diagnostics.Process.Start(daemonToolsPath, "-mount 0,\"" + filePathPar + "\"");
                    break;
                default:
                    System.Diagnostics.Process.Start("explorer.exe", "\"" + filePathPar + "\"");
                    break;


            }
        }
    }
}
