﻿/// Copyright © 2010-2011 Sebastian Thies
/// This program is distributed under the terms of the GNU General Public License
/// http://www.gnu.org/licenses/#GPL
/// email: sebastian.thies@arcor.de
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace ThiesMediaProject.ToolForms.IMDBLoader
{
    public class IMDBFilm
    {
        public string FilmTitel { get; set; }
        public string FilmId { get; set; }
        public string FilmPremiere { get; set; }
        public string FilmGenre { get; set; }
        public string FilmRegie { get; set; }
        public string FilmActors { get; set; }
        public string FilmRating { get; set; }
        public Bitmap FilmPicture { get; set; }
        public bool FilmLoaded { get; set; }


        public IMDBFilm()
        {
            FilmActors = string.Empty;
            FilmGenre = string.Empty;
            FilmId = string.Empty;
            FilmPicture = null;
            FilmPremiere = string.Empty;
            FilmRegie = string.Empty;
            FilmTitel = string.Empty;
            FilmRating = string.Empty;
            FilmLoaded = false;
        }

    }
}
